Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Apr 2014, 16:23
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Adobe Acrobat Reader 8.1.1.1
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [31 Posts]   Goto page: 1, 2, 3 Next
Author Message
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sat 02 Feb 2008, 01:32    Post subject:  Adobe Acrobat Reader 8.1.1.1
Subject description: SFS or dotpup, english and german
 

Note:
there is a MUCH smaller version 5 (10 MB):
http://noforum.de/dotpups/acroread-5.0.pup


We currently discuss PDF-Viewers here:
http://murga-linux.com/puppy/viewtopic.php?t=25981
Use this big one only, if others fail for you.

Version 8.1.1.1
This seems to load much faster than version 7.
You also could run the Adobe-installer yourself from:
http://www.adobe.com/products/acrobat/readstep2_allversions.html


To make it easier, I created files for Puppy.
You can install a SFS-file (recommended) or a dotpup (e.g. if you forgot to take your pills).

--SFS-Files----------------------

I made 2 SFS files , english (EN) and german (DE).
Each is around 50 MB.
Place it in the "/" folder of the drive, where your pup_save.2fs was created.
Rename it: replace the "082" with the number of your Puppy.
This should work in Muppy 080 to 082.

So it also should work in Puppy 301.

It requires libgtmozembed.so.
I have set it up, so that it uses the one from /usr/lib/mozilla
If you use Firefox, change it in:
edit - preferences - internet

(deutsch: Bearbeiten - Grundeinstellungen - Internet)

I just tested it in a developer-version of Muppy, and not yet in one of the "final" versions.
Please tell me, if it does not work.

Download from here:
http://puppyfiles.ca/puppyisos/isos/Muppy-SFS/

--DOTPUPS----------------------
Requires 120 - 130 MB for the final installation, and 50 MB more while it installs.
So be shure to have around 200 MB free diskspace in your pup_save.2fs Exclamation
Download from here:
http://puppyfiles.ca/dotpupsde/puppy3/dotpups/Office/


Please tell me if they work, then I will add them to the second mirror.

Mark
Back to top
View user's profile Send private message Visit poster's website 
maddox

Joined: 28 Sep 2007
Posts: 453
Location: sometimes in France

PostPosted: Sun 03 Feb 2008, 07:20    Post subject:  

Hi MU,
I just tried the english.sfs in Toutou-3.01-1 with a frugal install. It works.
loaded up the puppy 3.01 pdf manual, also OK. I didn't try printing though.
The fonts in the preferences are rather small, couldn't see where to change it.
Great stuff by making it into a sfs, easy to load/unload
Keep up your great work Smile

edit: I put the English .sfs in / of the USB stick where the main files are.
then used Bootmanager to load it and rebooted.

Last edited by maddox on Mon 04 Feb 2008, 18:15; edited 1 time in total
Back to top
View user's profile Send private message 
NathanO

Joined: 22 Feb 2007
Posts: 196
Location: San Antonio, TX

PostPosted: Mon 04 Feb 2008, 17:49    Post subject:  

Tried the English .sfs. under Puppy 3.01 on this HP Pavilion zv6000 laptop, for some reason Boot Manager Configuration did not see it. Yes I put it in the same directory as my one other .sfs I added [Open Office]

What do you need to work on what ma be my problem?

Will try the .pup next.

NathanO
Back to top
View user's profile Send private message 
NathanO

Joined: 22 Feb 2007
Posts: 196
Location: San Antonio, TX

PostPosted: Mon 04 Feb 2008, 20:08    Post subject:  

I am now on the homemade tower. .sfs did not work here.

.pup worked on both machines. Did no see a menu entry on the laptop, even after booting. Is there supposed to be one?

There is no menu entry here, have not rebooted this one yet. Did do fixmenus.

NathanO
Back to top
View user's profile Send private message 
NathanO

Joined: 22 Feb 2007
Posts: 196
Location: San Antonio, TX

PostPosted: Mon 04 Feb 2008, 20:36    Post subject:  

After reboot of tower had menu entry. After second reboot of laptop had menu entry.

Tower works both from menu and by picking a .pdf file. Laptop works by picking .pdf file, but not from menu. Error reported is: Can not find libgtkembedmoz.so. Tried to set location in Reader, still will not work from menu.

NathanO
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Tue 05 Feb 2008, 00:39    Post subject:  

You could try to delete/rename:
/root/.adobe/Acrobat
/root/.adobe/Linguistics

Then it would start with factory-settings.
Mark
Back to top
View user's profile Send private message Visit poster's website 
NathanO

Joined: 22 Feb 2007
Posts: 196
Location: San Antonio, TX

PostPosted: Tue 05 Feb 2008, 12:23    Post subject:  

MU,

Under /root/.adobe/Acrobat and /Linguistics there are a number of folders and files. Are you saying to delete both or delete the Adobe one and rename the Linguistics one to Adobe?

NathanO
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Tue 05 Feb 2008, 16:45    Post subject:  

Simply delete those 2 folders.
They will be created from new, next time you run the Reader.
I just included them in the dotpup, so that the libgtkmozembed.so is already set up.

Mark
Back to top
View user's profile Send private message Visit poster's website 
NathanO

Joined: 22 Feb 2007
Posts: 196
Location: San Antonio, TX

PostPosted: Tue 05 Feb 2008, 19:03    Post subject:  

MU,

Deleted the two folders. Started from the menu, same error. If I just choose a .pdf still no problems. This is on the laptop only, I guess I have some other problems.

Even tried to create a folder with the lib copied from the tower.

NathanO
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Tue 05 Feb 2008, 20:02    Post subject:  

Hm, I have no idea at moment.
Please look at /etc/ld.so.conf

It should contain a line:
/usr/lib/mozilla

I don't remember, if that was set by Puppy, or if I added it by hand.
But I think it might be something different, as it works on your desktop-compter.

Mark

Last edited by MU on Tue 05 Feb 2008, 20:52; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
NathanO

Joined: 22 Feb 2007
Posts: 196
Location: San Antonio, TX

PostPosted: Tue 05 Feb 2008, 20:38    Post subject:  

MU,

Checked the file, it is there with the line for mozilla. For now I will live with the problem on the laptop. Thanks for the help.

NathanO
Back to top
View user's profile Send private message 
magerlab

Joined: 08 Jul 2007
Posts: 731

PostPosted: Wed 06 Feb 2008, 02:28    Post subject:  

i just tested a slax .mo for the version 7
it works by renaming it to sfs. and I mounted it by cliking on it and then i ran the script inside
works fine

_________________
skype: desafimager
Back to top
View user's profile Send private message 
eden6000

Joined: 08 Apr 2007
Posts: 259

PostPosted: Wed 09 Apr 2008, 04:21    Post subject:  

Hi everybody, I successfully "installed" the acrobat reader 8 english sfs, I only had to replace the libstdc++.so.6 that didn't work, now the program loads fine...I'm writing because I'm having another problem: after some 10-20 seconds from start, file properly loaded and doing anything, acrobat starts using 100% of cpu, precisely htop reports a high usage of /lib/ld-linux.so.2 inside acroread package...the problem is it doesn't go back to idle, the only thing to do is to kill acrobat....any idea?
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Wed 09 Apr 2008, 05:00    Post subject:  

eden6000,

do you have a swap-partition?
I see this using top:
Code:
 5628 root     SW      163M     1  1.1 16.2 ld-linux.so.2


So it uses a lot of memory.
I encountered on systems with not much Ram (e.g. 256 MB) using OpenOffice, that Puppy became extremely slow.
This was immeadeatly fixed, by activating a swap-partition (that I had deactivated before for tests).

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
eden6000

Joined: 08 Apr 2007
Posts: 259

PostPosted: Wed 09 Apr 2008, 06:47    Post subject:  

Thanks MU...yes, I have a swap, it's a pupswap.sfs inside dev_save ext3 partition and it's in use.
Btw my problem is a high usage of cpu, not of memory...I attach a picture:
acrobat.jpg
Description 
jpg

 Download 
Filename  acrobat.jpg 
Filesize  142.23 KB 
Downloaded  1024 Time(s) 
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [31 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0690s ][ Queries: 13 (0.0090s) ][ GZIP on ]